<?php

namespace App\Console;

use App\Console\Commands\ChangeScheduledEventStatus;
use Illuminate\Console\Scheduling\Schedule;
use Illuminate\Foundation\Console\Kernel as ConsoleKernel;
use App\Console\Commands\EventRemindersBeforeMinutes;

class Kernel extends ConsoleKernel
{
    /**
     * The Artisan commands provided by your application.
     *
     * @var array
     */
    protected $commands = [
        ChangeScheduledEventStatus::class,
        EventRemindersBeforeMinutes::class,
    ];

    /**
     * Define the application's command schedule.
     */
    protected function schedule(Schedule $schedule): void
    {
        $schedule->command('change:scheduled-event-status')->everyThirtyMinutes();
        $schedule->command('send:reminders')->everyMinute();
        $schedule->command('app:event-reminders-before-minutes')->everyMinute();
    }

    /**
     * Register the commands for the application.
     */
    protected function commands(): void
    {
        $this->load(__DIR__.'/Commands');

        require base_path('routes/console.php');
    }
}
