<!DOCTYPE html>
<html lang="<?php echo e(str_replace('_', '-', app()->getLocale())); ?>">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title><?php echo $__env->yieldContent('front-title'); ?> | <?php echo e(getSettingData()['application_name']); ?></title>
    <link rel="icon" type="image/png" sizes="56x56" href="<?php echo e(asset(getSettingData()['favicon'])); ?>">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Poppins:300,400,500,600,700"/>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.1.1/css/all.min.css"
          integrity="sha512-KfkfwYDsLkIlwQp6LFnl8zNdLGxu9YAA1QvwINks4PhcElQSvqcyVLLD9aMhXd13uQjoXtEKNosOWaZqXgel0g=="
          crossorigin="anonymous" referrerpolicy="no-referrer"/>
    <link rel="stylesheet" type="text/css" href="<?php echo e(mix('assets/css/front-third-party.css')); ?>">
    <link rel="stylesheet" type="text/css" href="<?php echo e(mix('assets/css/front-pages.css')); ?>">
    <link href="<?php echo e(asset('front/css/layout.css')); ?>" rel="stylesheet" type="text/css">
    <script src="<?php echo e(asset('vendor/livewire/livewire.js')); ?>"></script>
    <?php echo \Livewire\Mechanisms\FrontendAssets\FrontendAssets::styles(); ?>

    <?php echo \Livewire\Mechanisms\FrontendAssets\FrontendAssets::scripts(); ?>

    <script src="https://cdn.jsdelivr.net/gh/livewire/turbolinks@v0.1.x/dist/livewire-turbolinks.js"
            data-turbolinks-eval="false" data-turbo-eval="false"></script>
    <script src="<?php echo e(asset('messages.js')); ?>"></script>
    <script src="<?php echo e(mix('assets/js/front-third-party.js')); ?>"></script>
    <script src="<?php echo e(mix('assets/js/front-page.js')); ?>"></script>
    <script data-turbo-eval="false">
        let csrfToken = "<?php echo e(csrf_token()); ?>"
        let getLoggedInUserdata = "<?php echo e(getLogInUser()); ?>"
        let currentLocale = "<?php echo e(Config::get('app.locale')); ?>"
        if (currentLocale == '') {
            currentLocale = 'en'
        }
        Lang.setLocale(currentLocale)
        let defaultImage = '<?php echo e(asset('web/media/avatars/male.png')); ?>'
        let defaultCountryCodeValue = "<?php echo e(getSettingData()['default_country_code']); ?>"
    </script>
    <?php echo app('Tightenco\Ziggy\BladeRouteGenerator')->generate(); ?>
</head>
<body>
    <?php echo $__env->make('fronts.layouts.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <div class="container">
        
        <?php
$__split = function ($name, $params = []) {
    return [$name, $params];
};
[$__name, $__params] = $__split('user-event', ['userId' => $user_id,'lazy' => true,'user_id' => $user_id]);

$__html = app('livewire')->mount($__name, $__params, 'lw-3383545057-0', $__slots ?? [], get_defined_vars());

echo $__html;

unset($__html);
unset($__name);
unset($__params);
unset($__split);
if (isset($__slots)) unset($__slots);
?>
    </div>
    <?php echo $__env->make('fronts.layouts.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
</body>
</html>
<?php /**PATH /home/vairtnet/public_html/appointment/resources/views/events/user_all_event.blade.php ENDPATH**/ ?>