<?php if(getLogInUser()->hasRole('admin')): ?>
    <li class="nav-item <?php echo e(Request::is('admin/dashboard*') ? 'active' : ''); ?>">
        <a class="nav-link d-flex align-items-center" href="<?php echo e(route('admin.dashboard')); ?>">
            <span class="aside-menu-icon pe-3"><i class="fa-solid fa-circle-dot fs-3"></i></span>
            <span class="aside-menu-title"><?php echo e(__('messages.dashboard')); ?></span>
        </a>
    </li>
    <li class="nav-item <?php echo e(Request::is('admin/admins*') ? 'active' : ''); ?>">
        <a class="nav-link d-flex align-items-center" href="<?php echo e(route('admins.index')); ?>">
            <span class="aside-menu-icon pe-3"><i class="fas fa-user fs-3"></i></span>
            <span class="aside-menu-title"><?php echo e(__('messages.admins')); ?></span>
        </a>
    </li>
    <li class="nav-item <?php echo e(Request::is('admin/users*') ? 'active' : ''); ?>">
        <a class="nav-link d-flex align-items-center py-3" href="<?php echo e(route('users.index')); ?>">
        <span class="aside-menu-icon pe-3">
            <i class="fas fa-users fs-4"></i>
        </span>
            <span class="aside-menu-title"><?php echo e(__('messages.users')); ?></span>
        </a>
    </li>
    <li class="nav-item <?php echo e(Request::is('admin/personal-experiences*') ? 'active' : ''); ?>">
        <a class="nav-link d-flex align-items-center py-3" href="<?php echo e(route('personal-experiences.index')); ?>">
        <span class="aside-menu-icon pe-3">
            <i class="fas fa-user fs-3"></i>
        </span>
            <span class="aside-menu-title"><?php echo e(__('messages.personal_experiences')); ?></span>
        </a>
    </li>
    <li class="nav-item <?php echo e((Request::is('admin/enquiries*') ? 'active' : '')); ?>">
        <a class="nav-link d-flex align-items-center py-3"
           href="<?php echo e(route('enquiries.index')); ?>">
        <span class="aside-menu-icon pe-3">
            <i class="fas fa-question-circle fs-3"></i>
        </span>
            <span class="aside-menu-title"><?php echo e(__('messages.enquiries')); ?></span>
        </a>
    </li>
    <li class="nav-item <?php echo e((Request::is('admin/subscribers*') ? 'active' : '')); ?>">
        <a class="nav-link d-flex align-items-center py-3"
           href="<?php echo e(route('subscribers.index')); ?>">
        <span class="aside-menu-icon pe-3">
            <i class="fab fa-stripe-s fs-3"></i>
        </span>
            <span class="aside-menu-title"><?php echo e(__('messages.subscribers')); ?></span>
        </a>
    </li>
    <li class="nav-item <?php echo e(Request::is('admin/subscription-plans*') ? 'active' : ''); ?>">
        <a class="nav-link d-flex align-items-center py-3"
           href="<?php echo e(route('subscription-plans.index')); ?>">
        <span class="aside-menu-icon pe-3">
            <i class="fas fa-rupee-sign fs-3"></i>
        </span>
            <span class="aside-menu-title"><?php echo e(__('messages.subscription_plans')); ?></span>
        </a>
    </li>
    <li class="nav-item menu-search <?php echo e((Request::is('admin/cash-payments*')) ? 'active' : ''); ?>">
        <a class="nav-link d-flex align-items-center py-3"
           href="<?php echo e(route('cash.payments.index')); ?>">
        <span class="aside-menu-icon pe-3">
            <i class="fas fa-money-bill"></i>
        </span>
            <span class="aside-menu-title"><?php echo e(__('messages.cash_payments')); ?></span>
        </a>
    </li>
    <li class="nav-item menu-search <?php echo e((Request::is('admin/transactions*')) || Request::is('admin/subscription-transactions*') ? 'active' : ''); ?>">
        <a class="nav-link d-flex align-items-center py-3"
           href="<?php echo e(route('transactions.index')); ?>">
        <span class="aside-menu-icon pe-3">
            <i class="fas fa-money-bill-wave"></i>
        </span>
            <span class="aside-menu-title"><?php echo e(__('messages.transactions')); ?></span>
        </a>
    </li>
    <li class="nav-item <?php echo e((Request::is('admin/front-cms*') || Request::is('admin/front-service*') || Request::is('admin/brands*') || Request::is('admin/front-testimonials*') || Request::is('admin/faqs*') || Request::is('admin/main-reasons*') || Request::is('admin/about-us*') ? 'active' : '')); ?>">
        <a class="nav-link d-flex align-items-center py-3"
           href="<?php echo e(route('front.cms.index')); ?>">
        <span class="aside-menu-icon pe-3">
            <i class="fas fa-tasks fs-3"></i>
        </span>
            <span class="aside-menu-title"><?php echo e(__('messages.front_cms')); ?></span>
        </a>
    </li>
    <li class="nav-item <?php echo e((Request::is('admin/settings*') || Request::is('admin/currencies*') ? 'active' : '')); ?>">
        <a class="nav-link d-flex align-items-center py-3"
           href="<?php echo e(route('settings.index')); ?>">
        <span class="aside-menu-icon pe-3">
            <i class="fas fa-cogs fs-4"></i>
        </span>
            <span class="aside-menu-title"><?php echo e(__('messages.settings')); ?></span>
        </a>
    </li>
<?php endif; ?>
<?php if(\Spatie\Permission\PermissionServiceProvider::bladeMethodWrapper('hasRole', 'user')): ?>
<li class="nav-item <?php echo e(Request::is('dashboard*') ? 'active' : ''); ?>">
    <a class="nav-link d-flex align-items-center py-3"
       href="<?php echo e(route('dashboard')); ?>">
        <span class="aside-menu-icon pe-3">
            <i class="fa-solid fa-circle-dot fs-3"></i>
        </span>
        <span class="aside-menu-title"><?php echo e(__('messages.dashboard')); ?></span>
    </a>
</li>
<li class="nav-item <?php echo e(Request::is('events*') ? 'active' : ''); ?>" href="<?php echo e(route('events.index')); ?>">
    <a class="nav-link d-flex align-items-center py-3"
       href="<?php echo e(route('events.index')); ?>">
        <span class="aside-menu-icon pe-3">
            <i class="far fa-calendar-alt fs-3"></i>
        </span>
        <span class="aside-menu-title"><?php echo e(__('messages.events')); ?></span>
    </a>
</li>
<li class="nav-item <?php echo e(Request::is('schedules*') ? 'active' : ''); ?>">
    <a class="nav-link d-flex align-items-center py-3"
       href="<?php echo e(route('schedules.index')); ?>">
        <span class="aside-menu-icon pe-3">
            <i class="far fa-calendar fs-3"></i>
        </span>
        <span class="aside-menu-title"><?php echo e(__('messages.schedules')); ?></span>
    </a>
</li>
<li class="nav-item <?php echo e(Request::is('scheduled-events*') ? 'active' : ''); ?>">
    <a class="nav-link d-flex align-items-center py-3"
       href="<?php echo e(route('scheduled-events.index')); ?>">
        <span class="aside-menu-icon pe-3">
            <i class="fas fa-calendar-day fs-3"></i>
        </span>
        <span class="aside-menu-title"><?php echo e(__('messages.schedule_events')); ?></span>
    </a>
</li>
<li class="nav-item menu-search <?php echo e((Request::is('transactions*')) || Request::is('subscription-transactions*') ? 'active' : ''); ?>">
    <a class="nav-link d-flex align-items-center py-3"
       href="<?php echo e(route('user.transactions.index')); ?>">
        <span class="aside-menu-icon pe-3">
            <i class="fas fa-money-bill-wave"></i>
        </span>
        <span class="aside-menu-title"><?php echo e(__('messages.transactions')); ?></span>
    </a>
</li>
<li class="nav-item <?php echo e(Request::is('connect-google-calendar*') ? 'active' : ''); ?>">
    <a class="nav-link d-flex align-items-center py-3"
       href="<?php echo e(route('google.calendar.index')); ?>">
        <span class="aside-menu-icon pe-3">
            <i class="fas fa-calendar-day fs-3"></i>
        </span>
        <span class="aside-menu-title"><?php echo e(__('messages.setting.connect_google_calendar')); ?></span>
    </a>
</li>
<li class="nav-item <?php echo e((Request::is('settings*')  ? 'active' : '')); ?>">
    <a class="nav-link d-flex align-items-center py-3"
       href="<?php echo e(route('user.settings')); ?>">
        <span class="aside-menu-icon pe-3">
            <i class="fas fa-cogs fs-4"></i>
        </span>
        <span class="aside-menu-title"><?php echo e(__('messages.settings')); ?></span>
    </a>
</li>
<?php endif; ?>
<?php /**PATH /home/vairtnet/public_html/appointment/resources/views/layouts/menu.blade.php ENDPATH**/ ?>