<div class="d-flex flex-column">
    <div class="align-items-center mb-3">
        <!--[if BLOCK]><![endif]--><?php if($activeEventsCount == 0): ?>
            <div class="col-xxl-12">
                <div class="card card-xxl-stretch mb-5 mb-xxl-8">
                    <div class="card-body py-3">
                        <div class="overflow-auto pb-5 pt-5">
                            <div class="d-sm-flex align-items-center justify-content-between rounded border-primary border border-dashed min-w-lg-600px flex-shrink-0 p-6">
                                <div class="d-flex mb-3 mb-md-0">
                                    <i class="fas fa-calendar-alt fs-1 me-2"></i>
                                    <h4><?php echo e(__('messages.user_dashboard.create_your_first_event')); ?></h4>
                                </div>
                                <a href="<?php echo e(route('events.create')); ?>"
                                   class="btn btn-primary" data-turbo="false"><?php echo e(__('messages.event.add_event')); ?></a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        <?php else: ?>
            <div class="row">
                <div class="col-xxl-3 col-xl-4 col-sm-6 widget">
                    <a href="<?php echo e(route('scheduled-events.index', ['today' => 1])); ?>"
                       class="text-decoration-none">
                        <div class="bg-primary shadow-md rounded-10 p-xxl-10 px-5 py-10 d-flex align-items-center justify-content-between my-sm-3 my-2">
                            <div class="bg-cyan-300 widget-icon rounded-10 d-flex align-items-center justify-content-center me-2">
                                <i class="fa-solid fa-money-check fs-1-xl text-white"></i>
                            </div>
                            <div class="text-end text-white">
                                <h2 class="fs-1-xxl fw-bolder text-white"><?php echo e($todayScheduledEvents->count()); ?></h2>
                                <h3 class="mb-0 fs-4 fw-light"><?php echo e(__('messages.user_dashboard.todays_scheduled_events')); ?></h3>
                            </div>
                        </div>
                    </a>
                </div>
                <div class="col-xxl-3 col-xl-4 col-sm-6 widget">
                    <a href="<?php echo e(route('scheduled-events.index', ['today' => 0])); ?>"
                       class="text-decoration-none">
                        <div class="bg-dark shadow-md rounded-10 p-xxl-10 px-5 py-10 d-flex align-items-center justify-content-between my-sm-3 my-2">
                            <div class="bg-gray-700 widget-icon rounded-10 d-flex align-items-center justify-content-center me-2">
                                <i class="fa-solid fa-money-check fs-1-xl text-white"></i>
                            </div>
                            <div class="text-end text-white">
                                <h2 class="fs-1-xxl fw-bolder text-white"><?php echo e($upcomingScheduledEvents->count()); ?></h2>
                                <h3 class="mb-0 fs-4 fw-light"><?php echo e(__('messages.user_dashboard.upcoming_scheduled_events')); ?></h3>
                            </div>
                        </div>
                    </a>
                </div>
                <div class="col-xxl-3 col-xl-4 col-sm-6 widget">
                    <a href="<?php echo e(route('events.index')); ?>"
                       class="text-decoration-none">
                        <div class="bg-warning shadow-md rounded-10 p-xxl-10 px-5 py-10 d-flex align-items-center justify-content-between my-sm-3 my-2">
                            <div class="bg-yellow-300 widget-icon rounded-10 d-flex align-items-center justify-content-center me-2">
                                <i class="fa-solid fa-money-check fs-1-xl text-white"></i>
                            </div>
                            <div class="text-end text-white">
                                <h2 class="fs-1-xxl fw-bolder text-white"><?php echo e($activeEventsCount); ?></h2>
                                <h3 class="mb-0 fs-4 fw-light"><?php echo e(__('messages.user_dashboard.active_events')); ?></h3>
                            </div>
                        </div>
                    </a>
                </div>
                <div class="col-xxl-3 col-xl-4 col-sm-6 widget">
                    <a href="<?php echo e(route('schedules.index')); ?>"
                       class="text-decoration-none">
                        <div class="bg-info shadow-md rounded-10 p-xxl-10 px-5 py-10 d-flex align-items-center justify-content-between my-sm-3 my-2">
                            <div class="bg-blue-300 widget-icon rounded-10 d-flex align-items-center justify-content-center me-2">
                                <i class="fa-solid fa-money-check fs-1-xl text-white"></i>
                            </div>
                            <div class="text-end text-white">
                                <h2 class="fs-1-xxl fw-bolder text-white"><?php echo e($activeSchedulesCount); ?></h2>
                                <h3 class="mb-0 fs-4 fw-light"><?php echo e(__('messages.user_dashboard.active_schedules')); ?></h3>
                            </div>
                        </div>
                    </a>
                </div>
            </div>
            <div class="row mt-5">
                <div class="col-xxl-6">
                    <h3 class="mb-2"><?php echo e(__('messages.user_dashboard.todays_scheduled_events')); ?></h3>
                    <div class="card card-xxl-stretch mb-5 mb-xxl-8">
                        <div class="card-body p-3">
                            <div class="table-responsive">
                                <table class="table table-striped align-middle">
                                    <thead>
                                    <tr class="text-start text-muted fw-bolder fs-7 text-uppercase gs-0">
                                        <th class="col"><?php echo e(__('messages.admin_dashboard.name')); ?></th>
                                        <th class="col"><?php echo e(__('messages.event.event_name')); ?></th>
                                        <th class="col"><?php echo e(__('messages.schedule_event.scheduled_date')); ?></th>
                                        <th class="col"><?php echo e(__('messages.user_dashboard.schedule_date_time')); ?></th>
                                    </tr>
                                    </thead>
                                    <tbody class="text-gray-600 fw-bold">
                                    <!--[if BLOCK]><![endif]--><?php $__empty_1 = true; $__currentLoopData = $todayScheduledEvents; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                        <tr>
                                            <td><?php echo e($value->name); ?></td>
                                            <td><?php echo e($value->event->name); ?></td>
                                            <td><?php echo e(\Carbon\Carbon::parse($value->schedule_date)->format('Y-m-d')); ?></td>
                                            <td>
                                                <span class="badge bg-light-info"><?php echo e($value->slot_time); ?></span>
                                            </td>
                                        </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                        <tr>
                                            <td colspan="4"
                                                class="text-center"><?php echo e(__('messages.user_dashboard.no_schedules_events_yet')); ?>

                                                ...
                                            </td>
                                        </tr>
                                    <?php endif; ?> <!--[if ENDBLOCK]><![endif]-->
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-xxl-6">
                    <h3 class="mb-2"><?php echo e(__('messages.user_dashboard.upcoming_scheduled_events')); ?></h3>
                    <div class="card card-xxl-stretch mb-5 mb-xxl-8">
                        <div class="card-body p-3">
                            <div class="table-responsive">
                                <table class="table table-striped align-middle">
                                    <thead>
                                    <tr class="text-start text-muted fw-bolder fs-7 text-uppercase gs-0">
                                        <th class="col"><?php echo e(__('messages.admin_dashboard.name')); ?></th>
                                        <th class="col"><?php echo e(__('messages.event.event_name')); ?></th>
                                        <th class="col"><?php echo e(__('messages.schedule_event.scheduled_date')); ?></th>
                                        <th class="col"><?php echo e(__('messages.user_dashboard.schedule_date_time')); ?></th>
                                    </tr>
                                    </thead>
                                    <tbody class="text-gray-600 fw-bold">
                                    <!--[if BLOCK]><![endif]--><?php $__empty_1 = true; $__currentLoopData = $upcomingScheduledEvents; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                        <tr>
                                            <td><?php echo e($value->name); ?></td>
                                            <td><?php echo e($value->event->name); ?></td>
                                            <td><?php echo e(\Carbon\Carbon::parse($value->schedule_date)->format('Y-m-d')); ?></td>
                                            <td>
                                                <span class="badge bg-light-info"><?php echo e($value->slot_time); ?></span>
                                            </td>
                                        </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                        <tr>
                                            <td colspan="4"
                                                class="text-center"><?php echo e(__('messages.user_dashboard.no_schedules_events_yet')); ?>

                                                ...
                                            </td>
                                        </tr>
                                    <?php endif; ?> <!--[if ENDBLOCK]><![endif]-->
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        <?php endif; ?> <!--[if ENDBLOCK]><![endif]-->
    </div>
</div>
<?php /**PATH /home/vairtnet/public_html/appointment/resources/views/livewire/user-dashboard.blade.php ENDPATH**/ ?>