<!DOCTYPE html>
<html lang="<?php echo e(str_replace('_', '-', app()->getLocale())); ?>">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <?php if(Route::currentRouteName() == 'events.edit'): ?>
        <meta name="turbo-visit-control" content="reload" />
    <?php endif; ?>
    <title><?php echo $__env->yieldContent('title'); ?> | <?php echo e(getSettingData()['application_name']); ?></title>
    <!-- Favicon -->
    <link rel="icon" href="<?php echo e(asset(getSettingData()['favicon'])); ?>" type="image/png">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <!-- General CSS Files -->
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('assets/css/new-theme.css')); ?>">
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('assets/css/third-party.css')); ?>">
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('css/style.css')); ?>">
    <link rel="stylesheet" type="text/css" href="<?php echo e(mix('assets/css/pages.css')); ?>">
    <?php echo $__env->yieldContent('page_css'); ?>
    <?php echo $__env->yieldContent('css'); ?>
    <?php echo \Livewire\Mechanisms\FrontendAssets\FrontendAssets::styles(); ?>

    <link rel="stylesheet" type="text/css"
        href="<?php echo e(asset('vendor/rappasoft/livewire-tables/css/laravel-livewire-tables.min.css')); ?>">
    <link rel="stylesheet" type="text/css"
        href="<?php echo e(asset('vendor/rappasoft/livewire-tables/css/laravel-livewire-tables-thirdparty.min.css')); ?>">
    <?php echo \Livewire\Mechanisms\FrontendAssets\FrontendAssets::scripts(); ?>

    <script src="https://cdn.jsdelivr.net/gh/livewire/turbolinks@v0.1.x/dist/livewire-turbolinks.js"
        data-turbolinks-eval="false" data-turbo-eval="false"></script>
    <script data-turbolinks-eval="false" data-turbo-eval="false">
        let currentRouteName = "<?php echo e(Route::currentRouteName()); ?>";
    </script>
    <script src="<?php echo e(asset('assets/js/new-theme.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/js/third-party.js')); ?>"></script>
    <script src="<?php echo e(mix('assets/js/pages.js')); ?>"></script>
    <script src="<?php echo e(asset('messages.js')); ?>"></script>
    <script src="<?php echo e(asset('vendor/rappasoft/livewire-tables/js/laravel-livewire-tables.min.js')); ?>"></script>
    <script src="<?php echo e(asset('vendor/rappasoft/livewire-tables/js/laravel-livewire-tables-thirdparty.min.js')); ?>"></script>
    <?php echo app('Tightenco\Ziggy\BladeRouteGenerator')->generate(); ?>
    <?php echo $__env->yieldContent('page_js'); ?>
    <?php echo $__env->yieldContent('scripts'); ?>
    <script data-turbo-eval="false">
        let womanAvatar = '<?php echo e(url(asset('web/media/avatars/female.png'))); ?>'
        let manAvatar = '<?php echo e(url(asset('web/media/avatars/male.png'))); ?>'
        let sweetAlertIcon = "<?php echo e(asset('images/remove.png')); ?>"
        let deleteMsg = "<?php echo e(__('messages.placeholder.deleted')); ?>"
        let hasBeenDeleted = "<?php echo e(__('messages.has_been_deleted')); ?>"
        let eventUrl = "<?php echo e(Request::is('events*')); ?>"
        if (eventUrl !== '') {
            let phoneNo = ''
        }

        let currentLocale = "<?php echo e(Config::get('app.locale')); ?>"
        if (currentLocale == '') {
            currentLocale = 'en'
        }
        Lang.setLocale(currentLocale)
        let defaultImage = '<?php echo e(asset('web/media/avatars/male.png')); ?>'
        let defaultCountryCodeValue = "<?php echo e(getSettingData()['default_country_code']); ?>"
    </script>
    <script data-turbolinks-eval="false" data-turbo-eval="false">
        document.addEventListener('turbo:load', function() {
            currentRouteName = "<?php echo e(Route::currentRouteName()); ?>";
        })
    </script>
</head>

<body class="custom-overflow-x-hidden">
    <div class="d-flex flex-column flex-root">
        <div class="d-flex flex-row flex-column-fluid">
            <?php echo $__env->make('layouts.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            <div class="wrapper d-flex flex-column flex-row-fluid custom-overflow-x-hidden">
                <div class='container-fluid d-flex align-items-stretch justify-content-between px-0'>
                    <?php echo $__env->make('layouts.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                </div>
                <div class="content d-flex flex-column flex-column-fluid pt-7">
                    <?php echo $__env->yieldContent('header_toolbar'); ?>
                    <div class="flex-column-fluid">
                        <?php if(getLogInUser()->hasRole('user') && isSubscriptionExpired()['status']): ?>
                            <div class="alert alert-warning mx-7">
                                <div class="d-flex align-items-center">
                                    <i class="fa-solid fa-face-meh me-5 text-white"></i>
                                    <span class="text-white"><?php echo e(isSubscriptionExpired()['message']); ?></span>
                                </div>
                            </div>
                        <?php endif; ?>
                        <?php echo $__env->yieldContent('content'); ?>
                    </div>
                </div>
                <div class='container-fluid'>
                    <?php echo $__env->make('layouts.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                </div>
            </div>
        </div>
    </div>
    <?php echo $__env->make('profile.changePassword', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php echo $__env->make('profile.changeLanguage', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
</body>

</html>
<?php /**PATH /home/vairtnet/public_html/appointment/resources/views/layouts/app.blade.php ENDPATH**/ ?>