<div class="col-xl-4 my-4">
    <div class="d-flex h-100">
        <div class="w-100 d-flex flex-column flex-center rounded-3 bg-light bg-opacity-75 py-15 px-10">
            <div class="mb-7 text-center">
                <h1 class="text-dark mb-5 fw-boldest"><?php echo e($subscriptionsPricingPlan->name); ?></h1>
                <div class="text-center">
                    <span class="mb-2 text-dark"><?php echo e(getSubscriptionPlanCurrencyIcon($subscriptionsPricingPlan->currency)); ?></span>
                    <span class=""><?php echo e(number_format($subscriptionsPricingPlan->price)); ?></span>
                    <span class="fs-7 fw-bold opacity-50">/<?php echo e(\App\Models\SubscriptionPlan::PLAN_TYPE[$subscriptionsPricingPlan->frequency]); ?></span>
                </div>
                <div class="d-flex align-items-center justify-content-center pricing-card__data mt-5">
                    <ul class="pl-0 list-style-none">
                        <?php if(isAuth() && count($subscriptionsPricingPlan->subscriptions) > 0): ?>
                            <?php if(getSubscription()->trial_ends_at != null && getSubscription()->subscription_plan_id == $subscriptionsPricingPlan->id): ?>
                                <li>
                                    <h4><?php echo e(__('messages.subscription_plan.valid_until')); ?>

                                        : <?php echo e($subscriptionsPricingPlan->trial_days); ?>

                                    </h4>
                                </li>
                            <?php endif; ?>
                            <?php
                                $activeSubscription = getSubscription();
                            ?>
                            <?php if($activeSubscription && isAuth() &&  $activeSubscription->subscriptionPlan->id == $subscriptionsPricingPlan->id): ?>
                                <li>
                                    <h4>
                                        <?php echo e(__('messages.subscription_plan.end_date')); ?>

                                        :
                                        <?php echo e(getParseDate($activeSubscription->ends_at)->format('d-m-Y')); ?>

                                    </h4>
                                </li>
                            <?php endif; ?>
                        <?php endif; ?>
                    </ul>
                </div>
                <div class="separator mt-3"></div>
                <div class="d-flex align-items-center justify-content-center pricing-card__data mt-5">
                    <ul class="pl-0 list-style-none fs-4">
                        <li><i class="fas fa-check-double"></i> <?php echo e(__('messages.events')); ?>:
                            <?php if( $subscriptionsPricingPlan->planFeature->events == -1): ?>
                                <?php echo e(__('messages.common.unlimited')); ?>

                            <?php else: ?>
                                <?php echo e($subscriptionsPricingPlan->planFeature->events); ?>

                            <?php endif; ?>
                        </li>
                        <li><i class="fas fa-check-double me-1"></i><?php echo e(__('messages.schedule_events')); ?>:
                            <?php if($subscriptionsPricingPlan->planFeature->schedule_events == -1): ?>
                                <?php echo e(__('messages.common.unlimited')); ?>

                            <?php else: ?>
                                <?php echo e($subscriptionsPricingPlan->planFeature->schedule_events); ?>

                            <?php endif; ?>
                        </li>
                    </ul>
                </div>
            </div>

            <?php if($subscriptionsPricingPlan->id == currentActiveSubscription()->subscription_plan_id && !currentActiveSubscription()->isExpired()): ?>
                <?php if($subscriptionsPricingPlan->price != 0): ?>
                    <button type="button"
                            class="btn btn-success rounded-pill mx-auto d-block cursor-remove-plan pricing-plan-button-active"
                            data-id="<?php echo e($subscriptionsPricingPlan->id); ?>">
                        <?php echo e(__('messages.subscription_pricing_plans.currently_active')); ?></button>
                <?php else: ?>
                    <button type="button" class="btn btn-info rounded-pill mx-auto d-block cursor-remove-plan">
                        <?php echo e(__('messages.subscription_pricing_plans.renew_free_plan')); ?>

                    </button>
                <?php endif; ?>
            <?php else: ?>
                <?php if(!currentActiveSubscription()->isExpired() && ($subscriptionsPricingPlan->price == 0 || $subscriptionsPricingPlan->price != 0)): ?>
                    <?php if($subscriptionsPricingPlan->hasZeroPlan->count() == 0): ?>
                        <a href="<?php echo e($subscriptionsPricingPlan->price != 0 ? route('choose.payment.type', $subscriptionsPricingPlan->id) : 'javascript:void(0)'); ?>"
                           class="btn btn-primary rounded-pill mx-auto d-block <?php echo e($subscriptionsPricingPlan->price == 0 ? 'freePayment' : ''); ?>"
                           data-id="<?php echo e($subscriptionsPricingPlan->id); ?>"
                           data-plan-price="<?php echo e($subscriptionsPricingPlan->price); ?>" data-turbo="false">
                            <?php echo e(__('messages.subscription_pricing_plans.switch_plan')); ?></a>
                    <?php else: ?>
                        <button type="button" class="btn btn-info rounded-pill mx-auto d-block cursor-remove-plan">
                            <?php echo e(__('messages.subscription_pricing_plans.renew_free_plan')); ?>

                        </button>
                    <?php endif; ?>
                <?php else: ?>
                    <?php if($subscriptionsPricingPlan->hasZeroPlan->count() == 0): ?>
                        <a href="<?php echo e($subscriptionsPricingPlan->price != 0 ? route('choose.payment.type', $subscriptionsPricingPlan->id) : 'javascript:void(0)'); ?>"
                           class="btn btn-primary rounded-pill mx-auto d-block <?php echo e($subscriptionsPricingPlan->price == 0 ? 'freePayment' : ''); ?>"
                           data-id="<?php echo e($subscriptionsPricingPlan->id); ?>"
                           data-plan-price="<?php echo e($subscriptionsPricingPlan->price); ?>" data-turbo="false">
                            <?php echo e(__('messages.subscription_pricing_plans.choose_plan')); ?></a>
                    <?php else: ?>
                        <button type="button" class="btn btn-info rounded-pill mx-auto d-block cursor-remove-plan">
                            <?php echo e(__('messages.subscription_pricing_plans.renew_free_plan')); ?>

                        </button>
                    <?php endif; ?>
                <?php endif; ?>
            <?php endif; ?>

        </div>
    </div>
</div>
<?php /**PATH /home/vairtnet/public_html/appointment/resources/views/subscription_pricing_plans/pricing_plan_section.blade.php ENDPATH**/ ?>