<!DOCTYPE html>
<html lang="<?php echo e(str_replace('_', '-', app()->getLocale())); ?>">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title><?php echo $__env->yieldContent('title'); ?> | <?php echo e(getSettingData()['application_name']); ?></title>
    <!-- Favicon -->
    <link rel="icon" href="<?php echo e(asset(getSettingData()['favicon'])); ?>" type="image/png">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <!-- General CSS Files -->
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('assets/css/new-theme.css')); ?>">
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('assets/css/third-party.css')); ?>">
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('css/style.css')); ?>">
    <link rel="stylesheet" type="text/css" href="<?php echo e(mix('assets/css/pages.css')); ?>">
    <!-- CSS Libraries -->
    <?php echo $__env->yieldPushContent('css'); ?>
    <?php echo $__env->yieldContent('page_css'); ?>
    <?php echo \Livewire\Mechanisms\FrontendAssets\FrontendAssets::styles(); ?>

</head>
<?php
    $styleCss = 'style';
?>
<body class="header-fixed header-tablet-and-mobile-fixed toolbar-enabled toolbar-fixed toolbar-tablet-and-mobile-fixed aside-enabled aside-fixed">
<div class="d-flex flex-column flex-root">
    <div class="d-flex flex-column flex-column-fluid bgi-position-y-bottom position-x-center bgi-no-repeat bgi-size-contain bgi-attachment-fixed authImage">
        <?php echo $__env->yieldContent('content'); ?>
    </div>
</div>
<footer>
    <div class="container-fluid padding-0">
        <div class="row align-items-center justify-content-center">
            <div class="col-xl-6">
                <div class="copyright text-center text-muted">
                    All rights reserved &copy; <?php echo e(date('Y')); ?>

                    <a href="<?php echo e(config('app.url')); ?>" class="font-weight-bold ml-1"
                       target="_blank"><?php echo e(getSettingData()['application_name']); ?></a>
                </div>
            </div>
        </div>
    </div>
</footer>
<!-- Scripts -->
<?php echo \Livewire\Mechanisms\FrontendAssets\FrontendAssets::scripts(); ?>

<script src="https://cdn.jsdelivr.net/gh/livewire/turbolinks@v0.1.x/dist/livewire-turbolinks.js"
        data-turbolinks-eval="false" data-turbo-eval="false"></script>
<script src="<?php echo e(asset('messages.js')); ?>"></script>
<script>
    let currentLocale = "<?php echo e(Config::get('app.locale')); ?>"
    if (currentLocale == '') {
        currentLocale = 'en'
    }

    Lang.setLocale(currentLocale)

    let defaultCountryCodeValue = "<?php echo e(getSettingData()['default_country_code']); ?>"
</script>
<script src="<?php echo e(asset('assets/js/new-theme.js')); ?>"></script>
<script src="<?php echo e(asset('assets/js/third-party.js')); ?>"></script>
<script src="<?php echo e(asset('assets/js/evo-calendar.js')); ?>"></script>
<script src="<?php echo e(asset('assets/js/front-pages.js')); ?>"></script>
<script src="https://www.google.com/recaptcha/api.js"></script>
<?php echo app('Tightenco\Ziggy\BladeRouteGenerator')->generate(); ?>
<?php echo $__env->yieldPushContent('scripts'); ?>
<?php echo $__env->yieldContent('page_js'); ?>
<script>
    $(document).ready(function () {
        $('.alert').delay(5000).slideUp(300)
    })
</script>
</body>
</html>

<?php /**PATH /home/vairtnet/public_html/appointment/resources/views/layouts/auth.blade.php ENDPATH**/ ?>